## r-cran-hunspell 3.0.1+dfsg

=== DESCRIPTION ===
Package: hunspell
Type: Package
Title: High-Performance Stemmer, Tokenizer, and Spell Checker
Version: 3.0.1
Depends: R (>= 3.0.2)
Encoding: UTF-8
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("Authors of libhunspell", role = "cph", comment = "see AUTHORS file"))
Description: Low level spell checker and morphological analyzer based on the 
    famous 'hunspell' library <https://hunspell.github.io>. The package can analyze
    or check individual words as well as parse text, latex, html or xml documents.
    For a more user-friendly interface use the 'spelling' package which builds on
    this package to automate checking of files, documentation and vignettes in all
    common formats.
License: GPL-2 | LGPL-2.1 | MPL-1.1
URL: https://docs.ropensci.org/hunspell/ (docs),
        https://github.com/ropensci/hunspell (devel)
        https://hunspell.github.io (upstream)
BugReports: https://github.com/ropensci/hunspell/issues
Imports: Rcpp, digest
LinkingTo: Rcpp (>= 0.12.12)
Suggests: spelling, testthat, pdftools, janeaustenr, wordcloud2, knitr,
        stopwords, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.1.1
Language: en-US
NeedsCompilation: yes
Packaged: 2020-12-09 19:34:32 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Authors of libhunspell [cph] (see AUTHORS file)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2020-12-09 20:20:02 UTC

=== debian/changelog ===
r-cran-hunspell (3.0.1+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * d/salsa-ci.yml: Disable reprotest
  * d/control: Fix minor mistake in synopsis
  * Add Forwarded field in patch

 -- Nilesh Patra <nilesh@debian.org>  Mon, 04 Oct 2021 16:59:21 +0530

r-cran-hunspell (3.0.1+dfsg-2) unstable; urgency=medium

  * Install authors file
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 12:08:45 +0200

r-cran-hunspell (3.0.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #988841)

 -- Andreas Tille <tille@debian.org>  Thu, 20 May 2021 13:29:39 +0200

=== debian/control ===
Source: r-cran-hunspell
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-digest,
               libhunspell-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hunspell
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hunspell.git
Homepage: https://cran.r-project.org/package=hunspell
Rules-Requires-Root: no

Package: r-cran-hunspell
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R support for high-performance stemmer, tokenizer, and spell checker
 Low level spell checker and morphological analyzer based on the
 famous 'hunspell' library <https://hunspell.github.io>. The package can analyze
 or check individual words as well as parse text, LaTeX, html or xml documents.
 For a more user-friendly interface use the 'spelling' package which builds on
 this package to automate checking of files, documentation and vignettes in all
 common formats.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_build:
	# FIXME: For the moment hack missing header files in here
	# Once we are sure that package build file bug report against
	# libhunspell-dev to include those missing header files
	cp -a debian/hunspell src
	dh_auto_build

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.dic" -o -name "*.aff" \) -exec chmod -x \{\} \;

## r-cran-hunspell 3.0.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker
-Version: 3.0.1
+Version: 3.0.2
 Depends: R (>= 3.0.2)
 Encoding: UTF-8
 Authors@R: c(
@@ -23,12 +23,12 @@
 Suggests: spelling, testthat, pdftools, janeaustenr, wordcloud2, knitr,
         stopwords, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 6.1.1
+RoxygenNote: 7.2.1
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2020-12-09 19:34:32 UTC; jeroen
+Packaged: 2022-09-04 15:04:08 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Authors of libhunspell [cph] (see AUTHORS file)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2020-12-09 20:20:02 UTC
+Date/Publication: 2022-09-04 15:40:02 UTC

=== debian/changelog ===
r-cran-hunspell (3.0.2+dfsg-3) unstable; urgency=medium

  * Rebuild against new version of libhunspell
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 28 Jun 2023 10:44:47 +0200

r-cran-hunspell (3.0.2+dfsg-2) experimental; urgency=medium

  * Enable building twice in a row (thanks for the patch to Rene Engelhard)
    Closes: #1028123
  * update copy of (private) htypes.hxx and csutil.hxx to fix build with
    hunspell 1.7.2. Bump build-dependency (thanks for the patch to Rene
    Engelhard)
    Closes: #1028124

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jan 2023 14:31:02 +0100

r-cran-hunspell (3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Sep 2022 12:37:44 +0200

=== debian/control ===
Source: r-cran-hunspell
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
           Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hunspell
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hunspell.git
Homepage: https://cran.r-project.org/package=hunspell
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-digest,
               libhunspell-dev (>= 1.7.2+really1.7.2)
Testsuite: autopkgtest-pkg-r

Package: r-cran-hunspell
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         hunspell-en-gb,
         hunspell-en-us
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R support for high-performance stemmer, tokenizer, and spell checker
 Low level spell checker and morphological analyzer based on the
 famous 'hunspell' library <https://hunspell.github.io>. The package can analyze
 or check individual words as well as parse text, LaTeX, html or xml documents.
 For a more user-friendly interface use the 'spelling' package which builds on
 this package to automate checking of files, documentation and vignettes in all
 common formats.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 %:
 	dh $@ --buildsystem R
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf src/hunspell
 
 override_dh_auto_build:
 	# FIXME: For the moment hack missing header files in here

## r-cran-hunspell 3.0.3+dfsg2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker
-Version: 3.0.2
+Version: 3.0.3
 Depends: R (>= 3.0.2)
 Encoding: UTF-8
 Authors@R: c(
@@ -14,21 +14,20 @@
     this package to automate checking of files, documentation and vignettes in all
     common formats.
 License: GPL-2 | LGPL-2.1 | MPL-1.1
-URL: https://docs.ropensci.org/hunspell/ (docs),
-        https://github.com/ropensci/hunspell (devel)
-        https://hunspell.github.io (upstream)
+URL: https://docs.ropensci.org/hunspell/
+        https://ropensci.r-universe.dev/hunspell
 BugReports: https://github.com/ropensci/hunspell/issues
 Imports: Rcpp, digest
 LinkingTo: Rcpp (>= 0.12.12)
 Suggests: spelling, testthat, pdftools, janeaustenr, wordcloud2, knitr,
         stopwords, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2022-09-04 15:04:08 UTC; jeroen
+Packaged: 2023-10-06 05:41:03 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Authors of libhunspell [cph] (see AUTHORS file)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-09-04 15:40:02 UTC
+Date/Publication: 2023-10-06 07:10:02 UTC

=== debian/changelog ===
r-cran-hunspell (3.0.3+dfsg2-1) unstable; urgency=medium

  [ Rene Engelhard ] 
  * Shop shipping and using copied hunspell private headers
    - build-depend on libhunspell-private-dev
    - don't copy htypes.hxx and csutis.hxx but ln -sf them
    - use libhunspell-private-devs .shlibs to get a strict dependecy
      on libhunspell
    Closes: #1041276

  [ Andreas Tille ]
  * d/copyright: Drop unused license paragraphs
  * Drop inst/dict from upstream source since we will rather use the dictionary
    from the official Debian package
  * Use Debian packaged dictionaries (two tests have to be excluded)
    Closes: #1028130
  * d/rules: No need to fix any permissions any more
  * Fix clean target
    Closes: #1046117

 -- Andreas Tille <tille@debian.org>  Fri, 17 Nov 2023 09:48:53 +0100

r-cran-hunspell (3.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2023 08:01:32 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-base-dev,
                r-cran-rcpp,
                r-cran-digest,
-               libhunspell-dev (>= 1.7.2+really1.7.2)
+               libhunspell-private-dev
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-hunspell

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spelling,
        r-cran-testthat,
        r-cran-pdftools,
        r-cran-janeaustenr,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-hunspell 3.0.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker
-Version: 3.0.3
+Version: 3.0.4
 Depends: R (>= 3.0.2)
 Encoding: UTF-8
 Authors@R: c(
@@ -19,15 +19,14 @@
 BugReports: https://github.com/ropensci/hunspell/issues
 Imports: Rcpp, digest
 LinkingTo: Rcpp (>= 0.12.12)
-Suggests: spelling, testthat, pdftools, janeaustenr, wordcloud2, knitr,
-        stopwords, rmarkdown
+Suggests: spelling, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 RoxygenNote: 7.2.3
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2023-10-06 05:41:03 UTC; jeroen
+Packaged: 2024-08-16 09:32:04 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Authors of libhunspell [cph] (see AUTHORS file)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2023-10-06 07:10:02 UTC
+Date/Publication: 2024-08-19 10:40:04 UTC

=== debian/changelog ===
r-cran-hunspell (3.0.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Oct 2024 08:43:10 +0900

r-cran-hunspell (3.0.3+dfsg2-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 17 Apr 2024 09:07:37 +0000

## r-cran-hunspell 3.0.5+dfsg

=== debian/changelog ===
r-cran-hunspell (3.0.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 08:42:49 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hunspell
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hunspell.git
 Homepage: https://cran.r-project.org/package=hunspell
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/hunspell

override_dh_auto_build:
	mkdir src/hunspell
	cd src/hunspell && \
		ln -sf /usr/include/hunspell/csutil.hxx && \
	        ln -sf /usr/include/hunspell/htypes.hxx
	dh_auto_build

override_dh_shlibdeps:
	dh_shlibdeps -- -L/var/lib/dpkg/info/libhunspell-private-dev.shlibs

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spelling,
        r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/hunspell_([-\d.]*)\.tar\.gz

## r-cran-hunspell 3.0.6+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker
-Version: 3.0.4
+Version: 3.0.6
 Depends: R (>= 3.0.2)
 Encoding: UTF-8
 Authors@R: c(
-    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
+    person("Jeroen", "Ooms", ,"jeroenooms@gmail.com", role = c("aut", "cre")),
     person("Authors of libhunspell", role = "cph", comment = "see AUTHORS file"))
 Description: Low level spell checker and morphological analyzer based on the 
     famous 'hunspell' library <https://hunspell.github.io>. The package can analyze
@@ -24,9 +24,9 @@
 RoxygenNote: 7.2.3
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2024-08-16 09:32:04 UTC; jeroen
+Packaged: 2025-03-22 20:15:55 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Authors of libhunspell [cph] (see AUTHORS file)
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-08-19 10:40:04 UTC
+Date/Publication: 2025-03-22 20:50:02 UTC

=== debian/changelog ===
r-cran-hunspell (3.0.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 09:43:42 +0900

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hunspell
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hunspell.git
 Homepage: https://cran.r-project.org/package=hunspell
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-digest,
-               libhunspell-private-dev
+               libhunspell-private-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-hunspell
